# Watchlist Groups

`GET` `/v1/watchlist/groups`

> **Quote Permission Required · Free**
> Included with OpenAPI activation — no extra purchase needed.
> _OpenAPI quote perms are separate from App/Web perms_

Get Watchlist groups

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/watchlist/groups' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `groups` | object[] | No | Groups |
| `└ id` | integer | Yes | Group ID |
| `└ name` | string | Yes | Name |
| `└ securities` | object[] | Yes | Security |

### Response JSON Example

```json
{
  "code": 0,
  "data": {
    "groups": [
      {
        "id": 28020,
        "name": "all",
        "securities": [
          {
            "symbol": "700.HK",
            "market": "HK",
            "name": "Tencent",
            "watched_price": "364.4",
            "watched_at": 1652855022,
            "is_pinned": true
          }
        ]
      }
    ]
  }
}
```
